import routerService from '@/common/services/router-service'
import formService from '@/webform/form-service'

routerService.route('/sd-webform', {
  component: './sd-webform-panel.vue',
  name: 'sd-webform',
  beforeEnter: (to, from, next) => {
    to.meta.preData = formService.getData(to.query) // 提前获取数据
    next()
  },
})
